uk.gov.hmrc.ct.ct600.v3

# B485

###
Related Docs: class B485 | package v3

#### object B485 extends Calculated[B485, CT600ABoxRetriever] with LoansToParticipatorsCalculator with Serializable

Linear Supertypes
Serializable, Serializable, LoansToParticipatorsCalculator, CtTypeConverters, Calculated[B485, CT600ABoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B485
2. Serializable
3. Serializable
4. LoansToParticipatorsCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val DateOFNewTaxRateForLoans: LocalDate

   Definition Classes
     LoansToParticipatorsCalculator

5. #### val LoansRateAfterApril2016: Double

   Definition Classes
     LoansToParticipatorsCalculator

6. #### val LoansRateBeforeApril2016: Double

   Definition Classes
     LoansToParticipatorsCalculator

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def calculate(fieldValueRetriever: CT600ABoxRetriever): B485

   Definition Classes
     B485 → Calculated

9. #### def calculateA15(loans2p: LoansToParticipators): A15

   Definition Classes
     LoansToParticipatorsCalculator

10. #### def calculateA20(a15: A15, loans2p: LoansToParticipators, cp2: CP2): A20

    Definition Classes
      LoansToParticipatorsCalculator

11. #### def calculateA30(cp2: CP2, loans2p: LoansToParticipators): A30

    Definition Classes
      LoansToParticipatorsCalculator

12. #### def calculateA35(cp2: CP2, loans2p: LoansToParticipators): A35

    Definition Classes
      LoansToParticipatorsCalculator

13. #### def calculateA40(a30: A30, a35: A35): A40

    Definition Classes
      LoansToParticipatorsCalculator

14. #### def calculateA45(a40: A40, loans2p: LoansToParticipators, cp2: CP2): A45

    Definition Classes
      LoansToParticipatorsCalculator

15. #### def calculateA55(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A55

    Definition Classes
      LoansToParticipatorsCalculator

16. #### def calculateA55Inverse(apEndDate: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A55Inverse

    Definition Classes
      LoansToParticipatorsCalculator

17. #### def calculateA60(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A60

    Definition Classes
      LoansToParticipatorsCalculator

18. #### def calculateA60Inverse(cp2: CP2, loans2p: LoansToParticipators, filingDate: LPQ07): A60Inverse

    Definition Classes
      LoansToParticipatorsCalculator

19. #### def calculateA65(a55: A55, a60: A60): A65

    Definition Classes
      LoansToParticipatorsCalculator

20. #### def calculateA65Inverse(a55Inverse: A55Inverse, a60Inverse: A60Inverse): A65Inverse

    Definition Classes
      LoansToParticipatorsCalculator

21. #### def calculateA70(a65: A65, loans2p: LoansToParticipators, cp2: CP2, filingDate: LPQ07): A70

    Definition Classes
      LoansToParticipatorsCalculator

22. #### def calculateA70Inverse(a65Inverse: A65Inverse, loans2p: LoansToParticipators, cp2: CP2, filingDate: LPQ07): A70Inverse

    Definition Classes
      LoansToParticipatorsCalculator

23. #### def calculateA75(a15: A15, lp04: LP04): A75

    Definition Classes
      LoansToParticipatorsCalculator

24. #### def calculateA80(a20: A20, a45: A45, a70: A70): A80

    Definition Classes
      LoansToParticipatorsCalculator

25. #### def calculateB485(a70: A70): B485

    Definition Classes
      LoansToParticipatorsCalculator

26. #### def calculateLPQ01(lpq04: LPQ04, lpq10: LPQ10, a5: A5, lpq03: LPQ03): LPQ01

    Definition Classes
      LoansToParticipatorsCalculator

27. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

29. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

30. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

31. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

32. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

33. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

35. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

36. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

37. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

38. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

39. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

40. #### final def notify(): Unit

    Definition Classes
      AnyRef

41. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from LoansToParticipatorsCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[B485, CT600ABoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped